Feeef Cloud
ApiGeo

Canonical destination → courier API fields

GET
/geo/couriers/{id}/translate
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Path Parameters

id*string

Query Parameters

country?string
Length2 <= length <= 2
Default"DZ"
stateCode*string
Length1 <= length
cityName*string
Length1 <= length
lang?string
Default"fr"

Value in

  • "ar"
  • "fr"
  • "en"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geo/couriers/string/translate?stateCode=string&cityName=string"
{  "data": {    "state": {      "externalId": "string",      "externalName": "string"    },    "city": {      "externalId": "string",      "externalName": "string",      "homeDelivery": true,      "hasPickup": true    },    "pickups": [      {        "id": "string",        "courierId": "string",        "carrier": "string",        "externalId": "string",        "name": "string",        "locales": {          "ar": "string",          "fr": "string",          "en": "string"        },        "city": {          "id": "string",          "stateCode": "string",          "name": "string"        },        "address": "string",        "phone": "string",        "location": {          "lat": 0,          "lng": 0        },        "h3": "string",        "services": {          "property1": true,          "property2": true        },        "hours": {          "property1": [            "string"          ],          "property2": [            "string"          ]        },        "active": true,        "coverage": {          "states": [            {              "stateCode": "string",              "wholeState": true            }          ],          "cities": [            {              "id": "string",              "stateCode": "string",              "name": "string"            }          ]        }      }    ]  }}